"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


ScrollableView subclass:#SequenceView
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Lists'
!

!SequenceView class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"
    implements a SelectionInListView with configurable scrollbars

    ST-80 compatibility

    [see also:]
        SelectionInListView
"
!

examples
"
    same behavior as a SelectionInListView
                                                                        [exBegin]
    |top doc holder|

    top := StandardSystemView extent:500@500.
    doc := self origin:0.0@ 0.0 corner:1.0@1.0 in:top.
    top openAndWait.
    doc list:#( 'a' 'b' 'c' 'd' ).
    doc multipleSelectOk:true.
                                                                        [exEnd]
"

! !

!SequenceView class methodsFor:'defaults'!

defaultFont
    ^ SelectionInListView defaultFont

    "Created: / 20.6.1998 / 14:17:01 / cg"
! !

!SequenceView methodsFor:'Compatibility - ST80'!

optimizeForText
    "dummy - ST-80 compatibility"

    "Created: / 6.7.1998 / 13:26:18 / cg"
! !

!SequenceView methodsFor:'accessing'!

font:aFont
    "set the font for the scrooled view
    "
    super font:aFont.
    self scrolledView font:aFont.
! !

!SequenceView methodsFor:'initialization'!

initialize
    "setup scrollable view a SelectionInList instance
    "
    super initialize.

    self verticalScrollable:true;     verticalMini:false.
    self horizontalScrollable:true; horizontalMini:false.

    self scrolledView:SelectionInListView new


! !

!SequenceView class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg/SequenceView.st,v 1.7 2000-02-18 14:36:17 cg Exp $'
! !
